Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert.ext
Class IssuingDistPointExtension

`java.lang.Object
oracle.security.crypto.cert.X509Extension
oracle.security.crypto.cert.ext.IssuingDistPointExtension`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class IssuingDistPointExtension
extends X509Extension

Represents the CRL extension Issuing Distribution Point from RFC 2459. This extension is critical.

See Also:
  `CRLReason`, `CRLDistPointName`

Field Summary

Fields inherited from class oracle.security.crypto.cert.X509Extension
`id_netscape_ce, id_netscape_ce_type, id_set_ce, id_set_ce_type, isDecoded`

Constructor Summary
`IssuingDistPointExtension()` Create a new extension with the appropriate OID type.
`IssuingDistPointExtension(boolean critical)` Creates a new extension.
`IssuingDistPointExtension(java.io.InputStream is)`

Method Summary
`void` | `clearAllReasonFlags()`
`void` | `clearReasonFlag(CRLReason reason)`
`CRLDistPointName` | `getDistPointName()` Gets the distribution point name for this extension.
`boolean` | `hasReasonFlag(CRLReason reason)` Returns whether or not the distribution point has revocations for the given reason code.
`boolean` | `isIndirectCRL()` Returns `true` if the CRL containing this extension is an indirect CRL.
`boolean` | `onlyContainsCACerts()`
`boolean` | `onlyContainsUserCerts()`
`void` | `setDistPointName(CRLDistPointName distPointName)` Sets the distribution point name for this extension.
`void` | `setIsIndirectCRL(boolean value)`
`void` | `setOnlyContainsCACerts(boolean value)`
`void` | `setOnlyContainsUserCerts(boolean value)`
`void` | `setReasonFlag(CRLReason reason)` Sets whether or not the distribution point has revocations for the given reason flag.
`void` | `setReasonFlags(CRLReason[] crlReasons)`
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class oracle.security.crypto.cert.X509Extension
`getASN1Value, getCritical, getID, getType, getValue, input, input, inputInstance, isRecognized, length, output, setCritical, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IssuingDistPointExtension

    public IssuingDistPointExtension()

  Create a new extension with the appropriate OID type.

  Note: An object created using this constructor may not be in a valid state. This constructor is intended primarily for use in conjunction with the `X509Extension.input(java.io.InputStream)` method.

### IssuingDistPointExtension

    public IssuingDistPointExtension(boolean critical)

  Creates a new extension.
Parameters:
  `critical` - `true` if this extension is critical, `false` otherwise.

### IssuingDistPointExtension

    public IssuingDistPointExtension(java.io.InputStream is)
                              throws java.io.IOException

Method Detail

### getDistPointName

    public CRLDistPointName getDistPointName()

  Gets the distribution point name for this extension.

### setDistPointName

    public void setDistPointName(CRLDistPointName distPointName)

  Sets the distribution point name for this extension.

### onlyContainsUserCerts

    public boolean onlyContainsUserCerts()

### setOnlyContainsUserCerts

    public void setOnlyContainsUserCerts(boolean value)

### onlyContainsCACerts

    public boolean onlyContainsCACerts()

### setOnlyContainsCACerts

    public void setOnlyContainsCACerts(boolean value)

### isIndirectCRL

    public boolean isIndirectCRL()

  Returns `true` if the CRL containing this extension is an indirect CRL.

  Note: If `isIndirectCRL` returns `true`, then `CRLCertificateIssuerExtension`s may be present in the CRL entries.

### setIsIndirectCRL

    public void setIsIndirectCRL(boolean value)

### hasReasonFlag

    public boolean hasReasonFlag(CRLReason reason)

  Returns whether or not the distribution point has revocations for the given reason code.

  If no reason flags have been set, the distribution point supports all reason codes, and `hasReasonFlag` will return `true` for all codes.

  Parameters:
    `reason` - the CRL Reason flag to test, defined as constants in the `CRLReason` class.
  Returns:
    `true` if the given reason code is supported by this distribution point, otherwise `false`.
  See Also:
    `setReasonFlag(oracle.security.crypto.cert.CRLReason)`

### setReasonFlag

    public void setReasonFlag(CRLReason reason)

  Sets whether or not the distribution point has revocations for the given reason flag.
  Parameters:
    `reason` - the CRL Reason flag to test, defined as constants in the `CRLReason` class.
  See Also:
    `hasReasonFlag(oracle.security.crypto.cert.CRLReason)`

### setReasonFlags

    public void setReasonFlags(CRLReason[] crlReasons)

### clearReasonFlag

    public void clearReasonFlag(CRLReason reason)

### clearAllReasonFlags

    public void clearAllReasonFlags()

### toString

    public java.lang.String toString()

  Description copied from class: `X509Extension`
  Returns a string representation of this object.
  Overrides:
    `toString` in class `X509Extension`
  Returns:
    a string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.